﻿//////////////////////////////////////////////
// MouseDevice.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkInputs
#include "../../Dll/DllDefines.h"

/// Class ------------------------------------
	
namespace nkInputs
{
	class DLL_INPUTS_EXPORT MouseDevice
	{		
		public :
		
			// Constructor, destructor
			MouseDevice () ;
			virtual ~MouseDevice () ;

			// Getters
			virtual int getX () const = 0 ;
			virtual int getY () const = 0 ;
			virtual long getLastXMovement () const = 0 ;
			virtual long getLastYMovement () const = 0 ;
			virtual long getLastZMovement () const = 0 ;
			virtual bool getLeftButton () const = 0 ;
			virtual bool getRightButton () const = 0 ;
			virtual bool getCenterButton () const = 0 ;

			// Update
			virtual void updateDevice () = 0 ;

			// Calcul position souris
			virtual void recomputeMousePos () = 0 ;
	} ;
}