﻿//////////////////////////////////////////////
// InputProcessor.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkMaths
{
	class Point ;
}

namespace nkWinUi
{
	class Component ;
	class InputDescriptor ;
}

/// Class ------------------------------------

namespace nkWinUi
{
	class InputProcessor
	{
		public :

			// Constructeur, destructeur
			InputProcessor () ;
			virtual ~InputProcessor () ;

			// Pour tracker les mouse events dans les components
			virtual bool requestMouseTracking (Component* caller, bool value) = 0 ;

			// Events
			virtual void simulateEvent (Component* component, const InputDescriptor& inputDescription) = 0 ;
	} ;
}