//////////////////////////////////////////////
// MainSystem.js
//
//////////////////////////////////////////////

/// Class ------------------------------------
	
nkGraphicsTests.MainSystem = class MainSystem extends nkDebug.TestClass
{
	static instance = new MainSystem ("nkGraphicsTests.MainSystem") ;

	nkTests =
	{
		CreationDestruction : function ()
		{
			// Init
			const s = nkGraphics.MainSystem.getInstance() ;
			nkDebug.TestUtils.check(s.initialize(), "System initialization failure") ;

			// And shut down
			s.shutdown() ;
			nkGraphics.MainSystem.kill() ;
		},

		Frame : function ()
		{
			// Init
			const s = nkGraphics.MainSystem.getInstance() ;
			nkDebug.TestUtils.check(s.initialize(), "System initialization failure") ;

			// Frame once to check sanity
			nkDebug.TestUtils.check(s.frame(null), "Frame failure") ;

			// And shut down
			s.shutdown() ;
			nkGraphics.MainSystem.kill() ;
		}
	}
}